<?php

namespace Bank\Mellat;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'bpRefundRequest' => '\\Bank\\Mellat\\StructType\\BpRefundRequest',
            'bpRefundRequestResponse' => '\\Bank\\Mellat\\StructType\\BpRefundRequestResponse',
            'bpSaleReferenceIdRequest' => '\\Bank\\Mellat\\StructType\\BpSaleReferenceIdRequest',
            'bpSaleReferenceIdRequestResponse' => '\\Bank\\Mellat\\StructType\\BpSaleReferenceIdRequestResponse',
            'bpRefundToPANRequestV2' => '\\Bank\\Mellat\\StructType\\BpRefundToPANRequestV2',
            'bpRefundToPANRequestV2Response' => '\\Bank\\Mellat\\StructType\\BpRefundToPANRequestV2Response',
            'bpDynamicPayRequest' => '\\Bank\\Mellat\\StructType\\BpDynamicPayRequest',
            'bpDynamicPayRequestResponse' => '\\Bank\\Mellat\\StructType\\BpDynamicPayRequestResponse',
            'bpInquiryRequest' => '\\Bank\\Mellat\\StructType\\BpInquiryRequest',
            'bpInquiryRequestResponse' => '\\Bank\\Mellat\\StructType\\BpInquiryRequestResponse',
            'bpSettleRequest' => '\\Bank\\Mellat\\StructType\\BpSettleRequest',
            'bpSettleRequestResponse' => '\\Bank\\Mellat\\StructType\\BpSettleRequestResponse',
            'bpRefundRequestV2' => '\\Bank\\Mellat\\StructType\\BpRefundRequestV2',
            'bpRefundRequestV2Response' => '\\Bank\\Mellat\\StructType\\BpRefundRequestV2Response',
            'bpChargePayRequest' => '\\Bank\\Mellat\\StructType\\BpChargePayRequest',
            'bpChargePayRequestResponse' => '\\Bank\\Mellat\\StructType\\BpChargePayRequestResponse',
            'bpCumulativeDynamicPayRequest' => '\\Bank\\Mellat\\StructType\\BpCumulativeDynamicPayRequest',
            'bpCumulativeDynamicPayRequestResponse' => '\\Bank\\Mellat\\StructType\\BpCumulativeDynamicPayRequestResponse',
            'bpPayRequest' => '\\Bank\\Mellat\\StructType\\BpPayRequest',
            'bpPayRequestResponse' => '\\Bank\\Mellat\\StructType\\BpPayRequestResponse',
            'bpRefundInquiryRequest' => '\\Bank\\Mellat\\StructType\\BpRefundInquiryRequest',
            'bpRefundInquiryRequestResponse' => '\\Bank\\Mellat\\StructType\\BpRefundInquiryRequestResponse',
            'bpReversalRequest' => '\\Bank\\Mellat\\StructType\\BpReversalRequest',
            'bpReversalRequestResponse' => '\\Bank\\Mellat\\StructType\\BpReversalRequestResponse',
            'bpPosRefundRequest' => '\\Bank\\Mellat\\StructType\\BpPosRefundRequest',
            'bpPosRefundRequestResponse' => '\\Bank\\Mellat\\StructType\\BpPosRefundRequestResponse',
            'bpRefundToPANRequest' => '\\Bank\\Mellat\\StructType\\BpRefundToPANRequest',
            'bpRefundToPANRequestResponse' => '\\Bank\\Mellat\\StructType\\BpRefundToPANRequestResponse',
            'bpVerifyRequest' => '\\Bank\\Mellat\\StructType\\BpVerifyRequest',
            'bpVerifyRequestResponse' => '\\Bank\\Mellat\\StructType\\BpVerifyRequestResponse',
            'bpRefundVerifyRequest' => '\\Bank\\Mellat\\StructType\\BpRefundVerifyRequest',
            'bpRefundVerifyRequestResponse' => '\\Bank\\Mellat\\StructType\\BpRefundVerifyRequestResponse',
        );
    }
}
