<?php

namespace Bank\Mellat\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for bpRefundRequestResponse StructType
 * Meta information extracted from the WSDL
 * - type: tns:bpRefundRequestResponse
 * @subpackage Structs
 */
class BpRefundRequestResponse extends AbstractStructBase
{
    /**
     * The return
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $return;
    /**
     * Constructor method for bpRefundRequestResponse
     * @uses BpRefundRequestResponse::setReturn()
     * @param string $return
     */
    public function __construct($return = null)
    {
        $this
            ->setReturn($return);
    }
    /**
     * Get return value
     * @return string|null
     */
    public function getReturn()
    {
        return $this->return;
    }
    /**
     * Set return value
     * @param string $return
     * @return \Bank\Mellat\StructType\BpRefundRequestResponse
     */
    public function setReturn($return = null)
    {
        // validation for constraint: string
        if (!is_null($return) && !is_string($return)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($return, true), gettype($return)), __LINE__);
        }
        $this->return = $return;
        return $this;
    }
}
