<?php
/**
 * This file aims to show you how to use this generated package.
 * In addition, the goal is to show which methods are available and the first needed parameter(s)
 * You have to use an associative array such as:
 * - the key must be a constant beginning with WSDL_ from AbstractSoapClientBase class (each generated ServiceType class extends this class)
 * - the value must be the corresponding key value (each option matches a {@link http://www.php.net/manual/en/soapclient.soapclient.php} option)
 * $options = array(
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'https://bpm.shaparak.ir/pgwchannel/services/pgw?wsdl',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_TRACE => true,
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_LOGIN => 'you_secret_login',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_PASSWORD => 'you_secret_password',
 * );
 * etc...
 */
require_once __DIR__ . '/vendor/autoload.php';
/**
 * Minimal options
 */
$options = array(
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'https://bpm.shaparak.ir/pgwchannel/services/pgw?wsdl',
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_CLASSMAP => \Bank\Mellat\ClassMap::get(),
);
/**
 * Samples for Bp ServiceType
 */
$bp = new \Bank\Mellat\ServiceType\Bp($options);
/**
 * Sample call for bpRefundRequest operation/method
 */
if ($bp->bpRefundRequest(new \Bank\Mellat\StructType\BpRefundRequest()) !== false) {
    print_r($bp->getResult());
} else {
    print_r($bp->getLastError());
}
/**
 * Sample call for bpSaleReferenceIdRequest operation/method
 */
if ($bp->bpSaleReferenceIdRequest(new \Bank\Mellat\StructType\BpSaleReferenceIdRequest()) !== false) {
    print_r($bp->getResult());
} else {
    print_r($bp->getLastError());
}
/**
 * Sample call for bpRefundToPANRequestV2 operation/method
 */
if ($bp->bpRefundToPANRequestV2(new \Bank\Mellat\StructType\BpRefundToPANRequestV2()) !== false) {
    print_r($bp->getResult());
} else {
    print_r($bp->getLastError());
}
/**
 * Sample call for bpDynamicPayRequest operation/method
 */
if ($bp->bpDynamicPayRequest(new \Bank\Mellat\StructType\BpDynamicPayRequest()) !== false) {
    print_r($bp->getResult());
} else {
    print_r($bp->getLastError());
}
/**
 * Sample call for bpInquiryRequest operation/method
 */
if ($bp->bpInquiryRequest(new \Bank\Mellat\StructType\BpInquiryRequest()) !== false) {
    print_r($bp->getResult());
} else {
    print_r($bp->getLastError());
}
/**
 * Sample call for bpSettleRequest operation/method
 */
if ($bp->bpSettleRequest(new \Bank\Mellat\StructType\BpSettleRequest()) !== false) {
    print_r($bp->getResult());
} else {
    print_r($bp->getLastError());
}
/**
 * Sample call for bpRefundRequestV2 operation/method
 */
if ($bp->bpRefundRequestV2(new \Bank\Mellat\StructType\BpRefundRequestV2()) !== false) {
    print_r($bp->getResult());
} else {
    print_r($bp->getLastError());
}
/**
 * Sample call for bpChargePayRequest operation/method
 */
if ($bp->bpChargePayRequest(new \Bank\Mellat\StructType\BpChargePayRequest()) !== false) {
    print_r($bp->getResult());
} else {
    print_r($bp->getLastError());
}
/**
 * Sample call for bpCumulativeDynamicPayRequest operation/method
 */
if ($bp->bpCumulativeDynamicPayRequest(new \Bank\Mellat\StructType\BpCumulativeDynamicPayRequest()) !== false) {
    print_r($bp->getResult());
} else {
    print_r($bp->getLastError());
}
/**
 * Sample call for bpPayRequest operation/method
 */
if ($bp->bpPayRequest(new \Bank\Mellat\StructType\BpPayRequest()) !== false) {
    print_r($bp->getResult());
} else {
    print_r($bp->getLastError());
}
/**
 * Sample call for bpRefundInquiryRequest operation/method
 */
if ($bp->bpRefundInquiryRequest(new \Bank\Mellat\StructType\BpRefundInquiryRequest()) !== false) {
    print_r($bp->getResult());
} else {
    print_r($bp->getLastError());
}
/**
 * Sample call for bpReversalRequest operation/method
 */
if ($bp->bpReversalRequest(new \Bank\Mellat\StructType\BpReversalRequest()) !== false) {
    print_r($bp->getResult());
} else {
    print_r($bp->getLastError());
}
/**
 * Sample call for bpPosRefundRequest operation/method
 */
if ($bp->bpPosRefundRequest(new \Bank\Mellat\StructType\BpPosRefundRequest()) !== false) {
    print_r($bp->getResult());
} else {
    print_r($bp->getLastError());
}
/**
 * Sample call for bpRefundToPANRequest operation/method
 */
if ($bp->bpRefundToPANRequest(new \Bank\Mellat\StructType\BpRefundToPANRequest()) !== false) {
    print_r($bp->getResult());
} else {
    print_r($bp->getLastError());
}
/**
 * Sample call for bpVerifyRequest operation/method
 */
if ($bp->bpVerifyRequest(new \Bank\Mellat\StructType\BpVerifyRequest()) !== false) {
    print_r($bp->getResult());
} else {
    print_r($bp->getLastError());
}
/**
 * Sample call for bpRefundVerifyRequest operation/method
 */
if ($bp->bpRefundVerifyRequest(new \Bank\Mellat\StructType\BpRefundVerifyRequest()) !== false) {
    print_r($bp->getResult());
} else {
    print_r($bp->getLastError());
}
